Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.enabler
Class Enabler

    java.lang.Object
      |
      +--com.bea.b2b.enabler.Enabler

Deprecated. Replaced by `XOCPApplication`

public class Enabler
extends java.lang.Object

The Enabler class represents a c-enabler node.

Use an object of this class per the c-enabler XML configuration file.

Note: The use of com.bea.b2b.enabler.EnablerSessionFactory has been deprecated from earlier versions of WebLogic Collaborate. Unlike EnablerSessionFactory, the Enabler class separates the responsibilities of, and provides separate methods for, reading the c-enabler configuration XML file and establishing c-enabler sessions.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Inner Class Summary
`static interface` | `Enabler.InitException` Deprecated. An InitException is thrown if c-enabler initialization fails.
`static interface` | `Enabler.ShutDownException` Deprecated. A ShutDownException is thrown if c-enabler shutdown fails.

Method Summary
`static Enabler` | `getEnabler(java.lang.String configFile)` Deprecated. Creates or gets an Enabler object for the c-enabler node with the specified c-enabler XML configuration file.
`EnablerSession` | `getEnablerSession(java.lang.String sessionName)` Deprecated. Gets a c-enabler session with the specified session name and, if required, creates a c-enabler session.
`EnablerSession[]` | `getEnablerSessions()` Deprecated. Gets EnablerSession objects for all of the c-enabler sessions specified in the c-enabler XML configuration file and, if required, creates c-enabler sessions.
`java.lang.String` | `getName()` Deprecated. Gets the name of this c-enabler node as defined in the c-enabler XML configuration file.
`java.lang.String[]` | `getSessionNames()` Deprecated. Gets the names of all of the c-enabler sessions defined in the c-enabler XML configuration file.
`protected void` | `init(java.lang.String configFile)` Deprecated.
`boolean` | `isShuttingDown()` Deprecated. Determines whether this c-enabler node is shutting down (true) or not (false).
`void` | `shutDown(boolean keepSubscription)` Deprecated. Shuts down this c-enabler node, including all of the active c-enabler sessions associated with this c-enabler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getEnabler

    public static Enabler getEnabler(java.lang.String configFile)
                              throws Enabler.InitException

  Deprecated.
  Creates or gets an Enabler object for the c-enabler node with the specified c-enabler XML configuration file.

  This method reads the c-enabler XML configuration file but it does not create c-enabler sessions.

  Parameters:
    `configFile` - C-enabler XML configuration file.
  Returns:
    Enabler - C-enabler node.
  Throws:
    Enabler.InitException - If an error occurred during c-enabler initialization.

### init

    protected void init(java.lang.String configFile)
                 throws Enabler.InitException

  Deprecated.

### getName

    public java.lang.String getName()

  Deprecated.
  Gets the name of this c-enabler node as defined in the c-enabler XML configuration file.

  Returns:
    String - C-enabler name.

### getSessionNames

    public java.lang.String[] getSessionNames()

  Deprecated.
  Gets the names of all of the c-enabler sessions defined in the c-enabler XML configuration file.

  Returns:
    String[] - Session names.

### getEnablerSessions

    public EnablerSession[] getEnablerSessions()
                                        throws EnablerSession.InitException

  Deprecated.
  Gets EnablerSession objects for all of the c-enabler sessions specified in the c-enabler XML configuration file and, if required, creates c-enabler sessions.

  Returns:
    EnablerSession[] - Array of c-enabler sessions.
  Throws:
    EnablerSession.InitException - If an error occurred during c-enabler session initialization.

### getEnablerSession

    public EnablerSession getEnablerSession(java.lang.String sessionName)
                                     throws EnablerSession.InitException

  Deprecated.
  Gets a c-enabler session with the specified session name and, if required, creates a c-enabler session.

  Parameters:
    `sessionName` - Name of the c-enabler session as defined in the c-enabler XML configuration file.
  Returns:
    EnablerSession - C-enabler session.
  Throws:
    EnablerSession.InitException - If an error occurred during c-enabler session initialization.

### isShuttingDown

    public boolean isShuttingDown()

  Deprecated.
  Determines whether this c-enabler node is shutting down (true) or not (false).

  Returns:
    boolean - true if this c-enabler is shutting down, or false if not.

### shutDown

    public void shutDown(boolean keepSubscription)
                  throws Enabler.ShutDownException,
                         B2BException

  Deprecated.
  Shuts down this c-enabler node, including all of the active c-enabler sessions associated with this c-enabler.

  Parameters:
    `keepSubscription` - - If true, keeps the subscription to conversations in which this c-enabler was participating. Pertinent messages are stored in message queues for later retrieval using deferred pull. The trading partner does not leave the c-space. Note: This option is not supported in this release. - If false (default), explicitly shuts down this enabler. All of the relevant messages in the conversation started through this c-enabler are discarded and the trading partner leaves the c-space.
  Throws:
    Enabler.ShutDownException - If shutdown fails.
    B2BException - If an error occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)